Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.rmic
Class RmicAdapterFactory

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.rmic.RmicAdapterFactory

public class RmicAdapterFactory
extends java.lang.Object

Creates the necessary rmic adapter, given basic criteria.

Since:
  1.4

Method Summary
`static RmicAdapter` | `getRmic(java.lang.String rmicType, Task task)` Based on the parameter passed in, this method creates the necessary factory desired.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRmic

    public static RmicAdapter getRmic(java.lang.String rmicType,
                                      Task task)
                               throws BuildException

  Based on the parameter passed in, this method creates the necessary factory desired.

  The current mapping for rmic names are as follows:

  - sun = SUN's rmic
  - kaffe = Kaffe's rmic
  - a fully quallified classname = the name of a rmic adapter

  Parameters:
    `rmicType` - either the name of the desired rmic, or the full classname of the rmic's adapter.
    `task` - a task to log through.
  Throws:
    `BuildException` - if the rmic type could not be resolved into a rmic adapter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.